<ul 
	class="contextual-setting-list"
	role="menu"
>
	<li role="none" class="contextual-setting" ng-show="!vm.getOptions().length">
		Geen acties beschikbaar
	</li>
	<li
		class="contextual-setting"
		ng-repeat="option in vm.getOptions()"
		ng-switch="option.type" 
		ng-class="option.classes"
		role="none"
	>
		<button
			ng-click="option.click()"
			class="contextual-setting-button"
			ng-switch-when="button"
			arial-label="{{::option.label}}"
			role="menuitem"
		>
			<zs-icon icon-type="{{::option.icon}}" ng-show="option.icon"></zs-icon>
			{{::option.label}}
		</button>
		<a
			ng-href="{{::option.link}}"
			class="contextual-setting-button"
			ng-switch-when="link"
			role="menuitem"
			arial-label="{{::option.label}}"
		>
			<zs-icon icon-type="{{::option.icon}}" ng-show="option.icon"></zs-icon>
			{{::option.label}}
		</a>
    <span ng-switch-when="text" class="contextual-setting-text">{{::option.label}}</span>
	</li>
</ul>
